> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Assignment Payload Schema

> JSON Schema for the assignment update `values`, generated from the model
that validates it — so `prime-admin inventory clusters assignment-schema`
cannot drift.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/admin/inventory/assignments/payload-schema
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/admin/inventory/assignments/payload-schema:
    get:
      tags:
        - admin-inventory
      summary: Assignment Payload Schema
      description: >-
        JSON Schema for the assignment update `values`, generated from the model

        that validates it — so `prime-admin inventory clusters
        assignment-schema`

        cannot drift.
      operationId: >-
        assignment_payload_schema_api_admin_inventory_assignments_payload_schema_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_dict_'
        '401':
          description: Authorization failed
        '403':
          description: Insufficient permissions
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericResponse_dict_:
      properties:
        data:
          anyOf:
            - type: object
            - type: 'null'
          title: Data
          description: Response data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      title: GenericResponse[dict]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.